//
//  Common.h
//  MetalRenderer
//
//  Created by Mira Young on 1/19/20.
//  Copyright © 2020 Mira Young. All rights reserved.
//

#ifndef Common_h
#define Common_h


#import <simd/simd.h>

typedef struct{
    matrix_float4x4 modelMatrix;
    matrix_float4x4 viewMatrix;
    matrix_float4x4 projectionMatrix;
} Uniforms;

typedef struct {
    vector_float3 cameraPosition;
} FragmentUniforms;

typedef struct {
    vector_float3 baseColor;
    vector_float3 specularColor;
    float shininess;
} Material;

typedef struct {
    matrix_float4x4 modelMatrix;
} Instances;

typedef struct {
    matrix_float4x4 modelMatrix;
} LeafInstances;
#endif /* Common_h */
